Bug 604341 - clipsmm-doc depends on gtk-doc unnecessarily
Summary: clipsmm-doc depends on gtk-doc unnecessarily
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: clipsmm (Show other bugs)
(Show other bugs)
Version: 16
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Tim Niemueller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: EasyFix, Reopened
Depends On:
Blocks: 604169
TreeView+ depends on / blocked
 
Reported: 2010-06-15 20:51 UTC by Felipe Contreras
Modified: 2012-12-20 15:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 15:09:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Felipe Contreras 2010-06-15 20:51:09 UTC
There's no need to depend on gtk-doc to install .html files. See the tracking bug for details.

Comment 1 Felipe Contreras 2010-08-23 16:37:18 UTC
It is a bug, see:
https://fedoraproject.org/wiki/PackagingDrafts/Revised_File_and_Directory_Ownership

From the original bug #604169 comment #31
---
Which by my reading means that all packages which place files in
/usr/share/gtk-doc/ should go ahead and own that dir. (root/root, mode 755).
---

Comment 2 Felipe Contreras 2011-05-25 11:41:15 UTC
Seems to be fixed on 0.1.0.

Comment 3 Felipe Contreras 2011-05-25 11:42:26 UTC
Er, the package is clipsmm-doc, still present on F15.

See the revised guidelines which mention specifically gtk-doc:
http://fedoraproject.org/wiki/PackagingGuidelines#File_and_Directory_Ownership

Comment 4 Bug Zapper 2011-06-02 10:42:00 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Felipe Contreras 2011-11-16 16:54:21 UTC
Still an issue on F16.

Comment 6 Fedora Admin XMLRPC Client 2012-01-11 11:30:56 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 7 Fedora Update System 2012-09-28 08:53:17 UTC
clipsmm-0.2.1-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/clipsmm-0.2.1-3.fc18

Comment 8 Fedora Update System 2012-09-28 17:23:18 UTC
Package clipsmm-0.2.1-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing clipsmm-0.2.1-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15044/clipsmm-0.2.1-3.fc18
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2012-12-20 15:09:32 UTC
clipsmm-0.2.1-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.